#pragma once

#include "BoundingVolumes.h"

class Ray
{
public:

	Ray();
	Ray(D3DXVECTOR3 o, D3DXVECTOR3 d);

	float Intersect(LPD3DXMESH mesh);
	float Intersect(BoundingBox bbox);

private:
	D3DXVECTOR3 mOrigin, mDirection;
};